from srht.config import cfg
from srht.oauth import AbstractOAuthService, DelegatedScope
from legacyshim.types import User, OAuthToken

client_id = cfg("legacy.sr.ht", "oauth-client-id")
client_secret = cfg("legacy.sr.ht", "oauth-client-secret")

class LegacyOAuthService(AbstractOAuthService):
    def __init__(self):
        super().__init__(client_id, client_secret, delegated_scopes=[
            DelegatedScope("uploads", "uploaded files", True),
        ], user_class=User, token_class=OAuthToken)
